Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 487074 - emerge: write commands in one line, if possible
Summary: emerge: write commands in one line, if possible
Status: RESOLVED FIXED
Alias: None
Product: Portage Development
Classification: Unclassified
Component: Core - Ebuild Support (show other bugs)
Hardware: All Linux
: Normal enhancement (vote)
Assignee: Portage team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 484436
  Show dependency tree
 
Reported: 2013-10-06 08:17 UTC by Jonas Stein
Modified: 2014-08-04 02:06 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
[PATCH] Fixes the bug (0001-emerge-Don-t-split-command-bug-487074.patch,1.14 KB, patch)
2013-10-07 10:44 UTC, Alexander Berntsen (RETIRED)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jonas Stein gentoo-dev 2013-10-06 08:17:16 UTC
# emerge --depclean

 * Always study the list of packages to be cleaned for any obvious
 * mistakes. Packages that are part of the world set will always
 * be kept.  They can be manually added to this set with
 * `emerge --noreplace <atom>`.  Packages that are listed in
 * package.provided (see portage(5)) will be removed by
 * depclean, even if they are part of the world set.
 * 
 * As a safety measure, depclean will not remove any packages
 * unless *all* required dependencies have been resolved.  As a
 * consequence, it is often necessary to run `emerge --update
 * --newuse --deep @world` prior to depclean.

================
The command "emerge --update --newuse --deep @world" was split on two lines
I suggest to write it on one line. Users can use gpm and will not have to retype it and it is better to read.
================


 * As a safety measure, depclean will not remove any packages
 * unless *all* required dependencies have been resolved.  As a
 * consequence, it is often necessary to run 
 * emerge --update --newuse --deep @world
 * prior to depclean.


Reproducible: Always
Comment 1 Alexander Berntsen (RETIRED) gentoo-dev 2013-10-07 10:44:39 UTC
Created attachment 360308 [details, diff]
[PATCH] Fixes the bug

I agree with you and have fixed the issue. Please file a new bug if you discover other examples of this.
Comment 2 Alexander Berntsen (RETIRED) gentoo-dev 2014-06-14 21:59:14 UTC
This is fixed in git as ab02c3fd788da6cc36188cdbee62a2b22bbc2474.
Comment 3 Brian Dolbec gentoo-dev 2014-08-04 02:06:42 UTC
released in portage-2.2.11